# Super Dungeon Delve

Super Dungeon Delve is retro style 2D dungeon crawl game. It was created as a learning project to learn and get started with with the [Godot Engine](https://godotengine.org/). The game was inspired by rougelikes and the 80s Gauntlet arcade game, Gauntlet 

The scope was kept deliberately small, in order to achieve some sembalance of a finished/playable game

**Features (v1)**
- Randomly generated levels (dungeons) using [BSP tree method](http://www.roguebasin.com/index.php?title=Basic_BSP_Dungeon_generation)
- Three different enemies (goblins, skeletons, slimes) with different attack patterns and behaviors
- Collectable treasure & health potions 
- Exit to next level hidden in each level, takes you deeper into the dungeon
- Random chances of rare treasure rooms and rare red 'super monsters', probabilty increases with level depth
- Joypad and keyboard controls

### Keyboard Controls
- WASD, cursor keys: **move**
- 'z', ctrl & space: **attack**
- Escape: **pause the game**
- Enter, space: **select option in menus**
- '0' (zero): **save a screenshot**

### Objective
You are Sir Pixelot and you have carelessly stumbled into the 'Dungeons of Generic Doom'. Resigned to your fate, have no option but press on, see much gold you can find, how many monsters you can vanquish and how deep this dungeon goes ...

---

# Download / Play

## Windows 
A Windows x64 binary is available to download on [the releases page](https://github.com/benc-uk/super-dungeon-delve/releases). It's a simple zip file, with a standalone exe, no installation required.

## Browser / HTML5 
A [HTML5 version is playable here](http://code.benco.io/super-dungeon-delve/).  
NOTE. It is not optimized for web, and likely to play slowly with very choppy sound etc, in addition it will only run in very modern browsers that support GLES3. Chrome, Edge (Chromium) and Firefox have all been tested.

There are no touch screen controls so it is not playable on a phone/tablet

## Android
Todo

# Gallery

### Video
[![IMAGE ALT TEXT HERE](https://img.youtube.com/vi/YRL8pksC_UU/0.jpg)](https://www.youtube.com/watch?v=YRL8pksC_UU)

### Screenshots
![](https://user-images.githubusercontent.com/14982936/71577705-21265f00-2aed-11ea-924f-1d94c6fbe8ef.png)

![](https://user-images.githubusercontent.com/14982936/71577753-431fe180-2aed-11ea-97db-a9b93178e867.png)

![](https://user-images.githubusercontent.com/14982936/71577716-28e60380-2aed-11ea-90e6-323575da521e.png)

![](https://user-images.githubusercontent.com/14982936/71577727-30a5a800-2aed-11ea-9576-b91d06033561.png)

# Resources Used

All used with permission/license

- Art and tiles - https://pixel-poem.itch.io/dungeon-assetpuck
- Sprites - https://0x72.itch.io/dungeontileset-ii
- Title Music - https://freesound.org/people/emceeciscokid/sounds/403372/
- Main music - https://freesound.org/people/FoolBoyMedia/sounds/341865/